---- English effect names ----

-- Used for the ballads.
ValidBalladEffectsEn = {

	["Ballad Damage Bonus"] = true,
	["Ballad Power Bonus"] = true,
	["Ballad Healing Bonus"] = true,
	["Dirge"] = true, -- On a war-steed
	["Saga"] = true, -- On a war-steed
	["Chant"] = true--, -- On a war-steed
	--["Skills Bonus"] = true
}

-- Used for the anthems. The numbers sets the order in fixed themes.
--- This section updated based on 9/30/2018 post by Mines_ofMoria for release 22.2 ---
ValidAnthemEffectsEn = {
	["Anthem of Compassion"] = 1,
	["Anthem of the Third Age"] = 4,
	["Anthem of the Third Age - Dissonance"] = 4, -- in red spec
	["Anthem of the Third Age - Resonance"] = 4, -- in blue spec
	["Anthem of the Third Age - Melody"] = 4, -- in yellow spec
	["Anthem of the Free People"] = 5,
	["Anthem of War"] = 2,
	["Anthem of Prowess"] = 3,
	["Anthem of Composure"] = 6,
	["Anthem of the Rohirrim"] = 1, -- On a war-steed
	["Anthem of the Red Dawn"] = 2, -- On a war-steed
	["Anthem of the Riddermark"] = 3 -- On a war-steed
}

-- Used to recognize a coda
--- This section updated based on 10/8/2019 post by Bellom ---
ValidCodaSkillNamesEn = {
	["Coda of the Eorlingas"] = true, -- In war speech stance
	["Coda of Vigour"] = true, -- In no stance and in harmony stance
	["Coda of Resonance"] = true,
	["Improved Coda of Resonance"] = true,
	["Improved Coda of Melody"] = true,
	["Improved Coda of Fury"] = true,
	["Coda of Melody"] = true,
	["Coda of Fury"] = true
}

-- Used to recognize a Cry of the Chorus
ValidCrySkillNamesEn = {
	["Song of Unity"] = true, -- On War-steed
	["Cry of the Chorus (Dissonance)"] = true,
	["Cry of the Chorus (Melody)"] = true,
	["Cry of the Chorus (Resonance)"] = true,
	["Improved Cry of the Chorus (Dissonance)"] = true,
	["Improved Cry of the Chorus (Melody)"] = true,
	["Improved Cry of the Chorus (Resonance)"] = true,
}

-- Used to recognize a Major Ballad
ValidMajorBalladSkillNamesEn = {
	["Major Ballad"] = true,
}

-- Used to determine, that the player is in the yellow trait line.
ValidYellowTraitSkillNamesEn = {
	["Anthem of Prowess"] = true
}

---- German effect names ----
ValidBalladEffectsDe = {
	["Bonusschaden bei Balladen"] = true,
	["Kraftbonus bei Balladen"] = true,
	["Balladenheilungs-Bonus"] = true,
	["Klagegesang"] = true, -- Auf dem Kriegsross
	["Gesang"] = true, -- Auf dem Kriegsross
	["Sage"] = true -- Auf dem Kriegsross
}

ValidAnthemEffectsDe = {
	["Hymne des Mitgefühls"] = 1,
	["Hymne des Dritten Zeitalters"] = 4,
	["Hymne des Dritten Zeitalters – Dissonanz"] = 4,
	["Hymne des Dritten Zeitalters – Resonanz"] = 4,  -- In gelber Traitlinie
	["Hymne des Dritten Zeitalters - Melodie"] = 4,
	["Hymne der freien Völker"] = 5,
	["Hymne des Krieges"] = 2,
	["Hymne der Tüchtigkeit"] = 3,
	["Hymne der Selbstbeherrschung"] = 6,
	["Hymne der Rohirrim"] = 1, -- Auf dem Kriegsross
	["Hymne der Morgenröte"] = 2, -- Auf dem Kriegsross
	["Hymne der Riddermark"] = 3 -- Auf dem Kriegsross
}

ValidCodaSkillNamesDe = {
	["Coda der Melodie"] = true, -- In Haltung: Melodie
	["Coda der Resonanz"] = true, -- In Haltung: Resonanz
	["Coda der Wut"] = true, -- In Haltung: Dissonanz (Kriegsrede)
	["Coda der Eorlingas"] = true -- Auf dem Kriegsross
}

ValidCrySkillNamesDe = {
	["Lied der Einheit"] = true, -- On War-steed
	["Schrei des Chors (Dissonanz)"] = true,
	["Schrei des Chors"] = true,
	["Schrei des Chors (Resonanz)"] = true,
	["Verbesserter Schrei des Chors (Dissonanz)"] = true,
	["Verbesserung: Schrei des Chors"] = true,
	["Verbesserter Schrei des Chors (Resonanz)"] = true,
}

ValidMajorBalladSkillNamesDe = {
	["Dur-Ballade"] = true,
}

ValidYellowTraitSkillNamesDe = {
	["Hymne der Tüchtigkeit"] = true
}

---- French effect names ----
ValidBalladEffectsFr = {
	["Bonus de dégâts de ballade"] = true,
	["Bonus de Puissance de ballade"] = true,
	["Bonus de guérison de ballade"] = true,
	["Chant funèbre"] = true,
	["Saga"] = true,
	["Chant"] = true
}

ValidAnthemEffectsFr = {
	["Hymne de guerre"] = 1,
	["Hymne aux prouesses"] = 2,
	["Hymne de contenance"] = 3,
	["Hymne du Troisième Age"] = 4,
	["Hymne du Troisième Âge - Dissonance"] = 4,
	["Hymne du Troisième Age - Mélodie"] = 4,
	["Hymne du Troisième Âge - Résonance"] = 4,
	["Hymne de l'Aube rouge"] = 1,
	["Hymne du Riddermark"] = 2,
	["Hymne des Rohirrim"] = 3
}

ValidCodaSkillNamesFr = {
	["Coda des Eorlingas"] = true, -- mounted
	["Coda de fureur"] = true, -- war speech
	["Coda de mélodie"] = true, -- melody
	["Coda de résonance"] = true -- no stance
}

ValidCrySkillNamesFr = {
	["Chant de l'unité"] = true, -- On War-steed
	["Cri du chœur (Dissonance)"] = true,
	["Cri du chœur"] = true,
	["Cri du chœur (Résonance)"] = true,
	["Cri du chœur amélioré (Dissonance)"] = true,
	["Cri du chœur amélioré"] = true,
	["Cri du chœur amélioré (Résonance)"] = true,
}

ValidMajorBalladSkillNamesFr = {
	["Ballade majeure"] = true,
}

ValidYellowTraitSkillNamesFr = {
	["Hymne aux prouesses"] = true
}